> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myalice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Template List

> Get the list of whatsapp templates associated with a platform



## OpenAPI

````yaml GET /stable/open/whatsapp/get-template-list
openapi: 3.0.3
info:
  title: MyAlice
  description: MyAlice API to communicate with MyAlice dashboard and your internal system
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.myalice.ai
security:
  - ApiKeyAuth: []
paths:
  /stable/open/whatsapp/get-template-list:
    get:
      description: Get the list of whatsapp templates associated with a platform
      parameters:
        - name: platform_id
          in: query
          description: >-
            The Id of the WhatsApp Platform, can be found in MyAlice Dashboard
            or with API
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Template'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauth'
components:
  schemas:
    Template:
      required:
        - id
        - name
        - status
        - body
        - header
        - footer
        - buttons
        - attributes
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
          example: submit_feedback
        body:
          type: string
          example: Hi {{1}}, please submit your feedback for our service
        header:
          type: object
          properties:
            type:
              type: string
              enum:
                - text
                - image
                - video
                - document
            value:
              type: string
              example: Submit Feedback
        footer:
          type: string
          example: Powered by MyAlice
        buttons:
          type: array
          items:
            type: object
            properties:
              id:
                type: number
              type:
                type: string
                enum:
                  - url
                  - sequence
              title:
                type: string
                example: Submit Feedback
              value:
                type: string
                example: Submit Feedback
        attributes:
          type: array
          items:
            type: object
            properties:
              attribute:
                type: string
                example: '1'
    Error:
      required:
        - error
        - code
        - success
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        success:
          type: boolean
    Unauth:
      required:
        - detail
      type: object
      properties:
        detail:
          type: string
          example: Invalid api key provided.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Myalice-Api-Key

````